task Dedup {

	String SENTIEON_INSTALL_DIR
	String sample
	String type
	File sorted_bam
	File sorted_bam_index
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt -i ${sorted_bam} --algo LocusCollector --fun score_info ${sample}.${type}_score.txt
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt -i ${sorted_bam} --algo Dedup --rmdup --score_info ${sample}.${type}_score.txt --metrics ${sample}.${type}_dedup_metrics.txt ${sample}.${type}.sorted.deduped.bam	
	>>>
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File score = "${sample}.${type}_score.txt"
		File dedup_metrics = "${sample}.${type}_dedup_metrics.txt"
		File Dedup_bam = "${sample}.${type}.sorted.deduped.bam"
		File Dedup_bam_index = "${sample}.${type}.sorted.deduped.bam.bai"
	}
}






